
Redmine - Defect #30924

Filter on Target version's Status in subproject doesn't work on version from top project

2019-02-26 18:22 - Tomasz Król

Status: Closed Start date:  

Priority: Normal Due date:  

Assignee: Marius BĂLTEANU % Done: 0%

Category: Issues filter Estimated time: 0.00 hour

Target version: 4.1.7   

Resolution: Fixed Affected version: 4.0.2

Description

Hi

I'm using Redmine 4.0.2 and versions for sprints.

All versions are defined in a top project and shared with all projects.

All issues in subprojects are assigned to specific version from the top project.

When I try to filter issues in a subproject by Target version's Status - it won't work.

For example:

When adding filter "Target version's Status [is] [open]" - there are no results which is wrong.

I should get a list of issues from current project that are assigned to active versions from the Top project.

Related issues:

Related to Redmine - Feature #23215: Add the possibility to filter issues aft... Closed

Has duplicate Redmine - Patch #36824: Allow to filter issues by its version s... Closed

Associated revisions

Revision 21499 - 2022-03-24 17:52 - Marius BĂLTEANU

Allow to filter issues by its version status with shared versions (#36824, #30924).

Patch by Holger Just.

Revision 21500 - 2022-03-26 04:57 - Go MAEDA

Fix RuboCop offense Style/HashSyntax (Don't mix styles in the same hash) (#36824, #30924).

Revision 21501 - 2022-03-26 05:01 - Go MAEDA

Fix RuboCop offense Rails/RefuteMethods (#36824, #30924).

Revision 21504 - 2022-03-27 23:33 - Marius BĂLTEANU

Merged r21499, r21500 and r21501 to 4.2-stable (#30924).

Revision 21505 - 2022-03-27 23:34 - Marius BĂLTEANU

Merged r21499, r21500 and r21501 to 4.1-stable (#30924).

History

#1 - 2021-05-13 09:31 - Mitsuyoshi Kawabata

+1

#2 - 2021-05-13 10:07 - Go MAEDA

- Status changed from New to Confirmed

I have confirmed the issue.

Steps to reproduce:

1. Create a project. Then, create a subproject of the project

2. Create a version in the parent project. Set the version's "Sharing" setting to "With all projects"

3. Create an issue in the subproject
4. Set the target version of the issue to the version created in step 2

5. Apply the filter [Target version's Status] [is] [open]

Expected behavior:

The issue created in step 4 should be displayed in the issues list.

Actual behavior:

No issue is displayed in the issues list.

Not only "Target version's Status" filter but also "Target version's Due date" filter does not work for issues which target version is one of the ancestors'

shared version.

#3 - 2021-05-13 10:35 - Go MAEDA

- Related to Feature #23215: Add the possibility to filter issues after Target Version's Status and Due Date added

#4 - 2022-03-19 10:58 - Marius BĂLTEANU

- Target version set to Candidate for next minor release

#5 - 2022-03-22 12:17 - Holger Just

- Related to Patch #36824: Allow to filter issues by its version status with shared versions added

#6 - 2022-03-24 17:53 - Marius BĂLTEANU

- Status changed from Confirmed to Resolved

- Assignee set to Marius BĂLTEANU

- Target version changed from Candidate for next minor release to 4.1.7

- Resolution set to Fixed

#7 - 2022-03-24 17:54 - Marius BĂLTEANU

- Related to deleted (Patch #36824: Allow to filter issues by its version status with shared versions)

#8 - 2022-03-24 17:54 - Marius BĂLTEANU

- Has duplicate Patch #36824: Allow to filter issues by its version status with shared versions added

#9 - 2022-03-24 17:55 - Marius BĂLTEANU

Fixed in r21499.

#10 - 2022-03-28 08:11 - Marius BĂLTEANU

- Status changed from Resolved to Closed
